package com.up.sell.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import com.up.sell.annotation.Cacheable;
import com.up.sell.mapper.DictionaryMapper;
import com.up.sell.service.DictionaryService;
import com.up.sell.vo.Dictionary;


@Service
@Transactional(propagation=Propagation.SUPPORTS)
public class DictionaryServiceImpl implements DictionaryService {

	@Autowired
	private DictionaryMapper dictionaryMapper;

	@Cacheable(expireTime=60)
	public List<Dictionary> selectByParentKey(String parentKey) {
		return this.dictionaryMapper.selectByParentKey(parentKey);
	}
}
