/**
 * 
 */
package com.up.sell.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import com.up.sell.mapper.MemberOrderMapper;
import com.up.sell.service.MemberOrderSerice;
import com.up.sell.service.SchedulerContentService;

/**
 * @author zmg
 *
 */
@Service
@Transactional(propagation=Propagation.SUPPORTS)
public class MemberOrderSericeImpl implements MemberOrderSerice {

	@Autowired
	private MemberOrderMapper memberOrderMapper;
	
	@Autowired
	private SchedulerContentService schedulerContentService;
	
	/* (non-Javadoc)
	 * @see com.up.sell.service.impl.MemberOrderSerice#cancelOrder(int)
	 */
	@Override
	@Transactional(propagation=Propagation.REQUIRED)
	public int cancelOrder(int hours) {
		int n = this.memberOrderMapper.cancelOrder(hours);
		schedulerContentService.insertResultForJob("24小时未支付订单自动取消", n);
		return n;
	}
}
