package com.up.sell.util;

import java.util.Date;

public class CodeGeneration {
	private final static char[] LETTER = { 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z', '0', '1', '2', '3', '4',
	'5', '6', '7', '8', '9', 'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z' };
	private final static char[] NUMS = { '0', '1', '2', '3', '4',	'5', '6', '7', '8', '9'};


	/**
	 * 产生n位编码
	 * 
	 * @param n
	 * @return
	 */
	private static String generateCode(int len,char[] resource) {
		StringBuffer nano = new StringBuffer();
		int n = 0,nn=len;
		while (nn>0) {
			if(nn>resource.length){
				n=resource.length;
			}else {
				n=nn;
			}
			char[] result = new char[n];
			boolean[] flag = new boolean[resource.length];
			for (int i = 0; i < n; i++) {
				int index;
				do {
					index = (int) (Math.random() * (resource.length));
					result[i] = (char) (Math.random() * (resource.length));
				} while (flag[index]);
				result[i] = resource[index];
				flag[index] = true;
			}
			nano.append(result);
			nn=nn-n;
		}
		if(nano.length()!=len) {
			throw new RuntimeException("产生编码异常");
		}
		return nano.toString();
	}

	public static String getCode(int len) {
		StringBuffer nano = new StringBuffer();
		String nanoTime = String.valueOf(System.nanoTime());
		int strL = nanoTime.length();
		if (strL > len) {
			nano.append(generateCode(len,NUMS));
		} else {
			nano.append(nanoTime);
			nano.append(generateCode(len-strL,NUMS));
		}
		return nano.toString();
	}

	/**
	 * 生成订单订单号
	 * @return
	 */
	public static String getOrderNo() {
		return DateUtils.format(new Date(), "yyyyMMddHHmmss")+getCode(6);
	}
	/**
	 * 获取主键ID
	 * @return
	 */
	public static String getID() {
		return getCode(20);
	}
	
	public static void main(String[] args) {
		for(int i=0;i<10;i++)
		System.out.println(CodeGeneration.getOrderNo());
	}
}
