package com.up.sell.vo;

import java.util.Date;

public class Member {
    /**
     * 会员ID
     */
    private Integer id;

    /**
     * 手机号码，使用手机号登录
     */
    private String mobile;

    /**
     * 会员类型（数据来源于字典表119）
     */
    private Integer memberType;

    /**
     * 会员状态标记（数据来源于字典表102）
     */
    private Integer flag;

    /**
     * 头像路径，域名后的全部存入数据库中
     */
    private String iconPath;

    /**
     * 真实姓名
     */
    private String userName;

    /**
     * 身份证号
     */
    private String idCardNo;

    /**
     * 身份证照片,多张照片用;号隔开
     */
    private String idCardPic;

    /**
     * 性别：0是女 1是男
     */
    private Integer sex;

    /**
     * 每日剩余查看次数，看一次减少1，每天零点定时任务更新剩余次数
     */
    private Integer viewCount;

    /**
     * 推荐人ID
     */
    private Integer referrerId;

    /**
     * 累计推荐人数，成功推荐时增加1
     */
    private Integer referrerCount;

    /**
     * 注册时所在的省ID
     */
    private String provinceId;

    /**
     * 注册时所在的市ID
     */
    private String cityId;

    /**
     * 会员账户余额
     */
    private Double account;

    /**
     * 会员累计项目佣金
     */
    private Double projectAccount;

    /**
     * 会员累计推荐奖励
     */
    private Double referrerAccount;

    /**
     * 会员累计团队奖励
     */
    private Double teamAccount;

    /**
     * 是否是项目经理：0非项目经理，1项目经理
     */
    private Integer isProjectManager;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 最后更新时间
     */
    private Date updateTime;

    /**
     * 会员ID
     * @return id 会员ID
     */
    public Integer getId() {
        return id;
    }

    /**
     * 会员ID
     * @param id 会员ID
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 手机号码，使用手机号登录
     * @return mobile 手机号码，使用手机号登录
     */
    public String getMobile() {
        return mobile;
    }

    /**
     * 手机号码，使用手机号登录
     * @param mobile 手机号码，使用手机号登录
     */
    public void setMobile(String mobile) {
        this.mobile = mobile == null ? null : mobile.trim();
    }

    /**
     * 会员类型（数据来源于字典表119）
     * @return member_type 会员类型（数据来源于字典表119）
     */
    public Integer getMemberType() {
        return memberType;
    }

    /**
     * 会员类型（数据来源于字典表119）
     * @param memberType 会员类型（数据来源于字典表119）
     */
    public void setMemberType(Integer memberType) {
        this.memberType = memberType;
    }

    /**
     * 会员状态标记（数据来源于字典表102）
     * @return flag 会员状态标记（数据来源于字典表102）
     */
    public Integer getFlag() {
        return flag;
    }

    /**
     * 会员状态标记（数据来源于字典表102）
     * @param flag 会员状态标记（数据来源于字典表102）
     */
    public void setFlag(Integer flag) {
        this.flag = flag;
    }

    /**
     * 头像路径，域名后的全部存入数据库中
     * @return icon_path 头像路径，域名后的全部存入数据库中
     */
    public String getIconPath() {
        return iconPath;
    }

    /**
     * 头像路径，域名后的全部存入数据库中
     * @param iconPath 头像路径，域名后的全部存入数据库中
     */
    public void setIconPath(String iconPath) {
        this.iconPath = iconPath == null ? null : iconPath.trim();
    }

    /**
     * 真实姓名
     * @return user_name 真实姓名
     */
    public String getUserName() {
        return userName;
    }

    /**
     * 真实姓名
     * @param userName 真实姓名
     */
    public void setUserName(String userName) {
        this.userName = userName == null ? null : userName.trim();
    }

    /**
     * 身份证号
     * @return id_card_no 身份证号
     */
    public String getIdCardNo() {
        return idCardNo;
    }

    /**
     * 身份证号
     * @param idCardNo 身份证号
     */
    public void setIdCardNo(String idCardNo) {
        this.idCardNo = idCardNo == null ? null : idCardNo.trim();
    }

    /**
     * 身份证照片,多张照片用;号隔开
     * @return id_card_pic 身份证照片,多张照片用;号隔开
     */
    public String getIdCardPic() {
        return idCardPic;
    }

    /**
     * 身份证照片,多张照片用;号隔开
     * @param idCardPic 身份证照片,多张照片用;号隔开
     */
    public void setIdCardPic(String idCardPic) {
        this.idCardPic = idCardPic == null ? null : idCardPic.trim();
    }

    /**
     * 性别：0是女 1是男
     * @return sex 性别：0是女 1是男
     */
    public Integer getSex() {
        return sex;
    }

    /**
     * 性别：0是女 1是男
     * @param sex 性别：0是女 1是男
     */
    public void setSex(Integer sex) {
        this.sex = sex;
    }

    /**
     * 每日剩余查看次数，看一次减少1，每天零点定时任务更新剩余次数
     * @return view_count 每日剩余查看次数，看一次减少1，每天零点定时任务更新剩余次数
     */
    public Integer getViewCount() {
        return viewCount;
    }

    /**
     * 每日剩余查看次数，看一次减少1，每天零点定时任务更新剩余次数
     * @param viewCount 每日剩余查看次数，看一次减少1，每天零点定时任务更新剩余次数
     */
    public void setViewCount(Integer viewCount) {
        this.viewCount = viewCount;
    }

    /**
     * 推荐人ID
     * @return referrer_id 推荐人ID
     */
    public Integer getReferrerId() {
        return referrerId;
    }

    /**
     * 推荐人ID
     * @param referrerId 推荐人ID
     */
    public void setReferrerId(Integer referrerId) {
        this.referrerId = referrerId;
    }

    /**
     * 累计推荐人数，成功推荐时增加1
     * @return referrer_count 累计推荐人数，成功推荐时增加1
     */
    public Integer getReferrerCount() {
        return referrerCount;
    }

    /**
     * 累计推荐人数，成功推荐时增加1
     * @param referrerCount 累计推荐人数，成功推荐时增加1
     */
    public void setReferrerCount(Integer referrerCount) {
        this.referrerCount = referrerCount;
    }

    /**
     * 注册时所在的省ID
     * @return province_id 注册时所在的省ID
     */
    public String getProvinceId() {
        return provinceId;
    }

    /**
     * 注册时所在的省ID
     * @param provinceId 注册时所在的省ID
     */
    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId == null ? null : provinceId.trim();
    }

    /**
     * 注册时所在的市ID
     * @return city_id 注册时所在的市ID
     */
    public String getCityId() {
        return cityId;
    }

    /**
     * 注册时所在的市ID
     * @param cityId 注册时所在的市ID
     */
    public void setCityId(String cityId) {
        this.cityId = cityId == null ? null : cityId.trim();
    }

    /**
     * 会员账户余额
     * @return account 会员账户余额
     */
    public Double getAccount() {
        return account;
    }

    /**
     * 会员账户余额
     * @param account 会员账户余额
     */
    public void setAccount(Double account) {
        this.account = account;
    }

    /**
     * 会员累计项目佣金
     * @return project_account 会员累计项目佣金
     */
    public Double getProjectAccount() {
        return projectAccount;
    }

    /**
     * 会员累计项目佣金
     * @param projectAccount 会员累计项目佣金
     */
    public void setProjectAccount(Double projectAccount) {
        this.projectAccount = projectAccount;
    }

    /**
     * 会员累计推荐奖励
     * @return referrer_account 会员累计推荐奖励
     */
    public Double getReferrerAccount() {
        return referrerAccount;
    }

    /**
     * 会员累计推荐奖励
     * @param referrerAccount 会员累计推荐奖励
     */
    public void setReferrerAccount(Double referrerAccount) {
        this.referrerAccount = referrerAccount;
    }

    /**
     * 会员累计团队奖励
     * @return team_account 会员累计团队奖励
     */
    public Double getTeamAccount() {
        return teamAccount;
    }

    /**
     * 会员累计团队奖励
     * @param teamAccount 会员累计团队奖励
     */
    public void setTeamAccount(Double teamAccount) {
        this.teamAccount = teamAccount;
    }

    /**
     * 是否是项目经理：0非项目经理，1项目经理
     * @return is_project_manager 是否是项目经理：0非项目经理，1项目经理
     */
    public Integer getIsProjectManager() {
        return isProjectManager;
    }

    /**
     * 是否是项目经理：0非项目经理，1项目经理
     * @param isProjectManager 是否是项目经理：0非项目经理，1项目经理
     */
    public void setIsProjectManager(Integer isProjectManager) {
        this.isProjectManager = isProjectManager;
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 最后更新时间
     * @return update_time 最后更新时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 最后更新时间
     * @param updateTime 最后更新时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}