package com.up.sell.vo;

import java.util.Date;

public class MemberAccountBill {
    /**
     * 主键
     */
    private Integer id;

    /**
     * 类型（数据来源于字典表115）
     */
    private Integer billType;

    /**
     * 状态（数据来源于字典表114）
     */
    private Integer billStatus;

    /**
     * 会员ID
     */
    private Integer memberId;

    /**
     * 申请金额：增加时正数、提现是负数
     */
    private Double approveAmount;

    /**
     * 实际金额：增加时正数、提现是负数
     */
    private Double amount;

    /**
     * 提现银行卡号
     */
    private String cardNo;

    /**
     * 提现开户行
     */
    private String accountBank;

    /**
     * 提现账户名称
     */
    private String accountName;

    /**
     * 交易订单号
     */
    private String orderNo;

    /**
     * 项目ID
     */
    private Integer projectId;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 是否提供发票：0不提供、1提供
     */
    private Integer provideInvoice;

    /**
     * 审批人,user表ID
     */
    private Integer approveUser;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 提现审批时间
     */
    private Date approveTime;

    /**
     * 主键
     * @return id 主键
     */
    public Integer getId() {
        return id;
    }

    /**
     * 主键
     * @param id 主键
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 类型（数据来源于字典表115）
     * @return bill_type 类型（数据来源于字典表115）
     */
    public Integer getBillType() {
        return billType;
    }

    /**
     * 类型（数据来源于字典表115）
     * @param billType 类型（数据来源于字典表115）
     */
    public void setBillType(Integer billType) {
        this.billType = billType;
    }

    /**
     * 状态（数据来源于字典表114）
     * @return bill_status 状态（数据来源于字典表114）
     */
    public Integer getBillStatus() {
        return billStatus;
    }

    /**
     * 状态（数据来源于字典表114）
     * @param billStatus 状态（数据来源于字典表114）
     */
    public void setBillStatus(Integer billStatus) {
        this.billStatus = billStatus;
    }

    /**
     * 会员ID
     * @return member_id 会员ID
     */
    public Integer getMemberId() {
        return memberId;
    }

    /**
     * 会员ID
     * @param memberId 会员ID
     */
    public void setMemberId(Integer memberId) {
        this.memberId = memberId;
    }

    /**
     * 申请金额：增加时正数、提现是负数
     * @return approve_amount 申请金额：增加时正数、提现是负数
     */
    public Double getApproveAmount() {
        return approveAmount;
    }

    /**
     * 申请金额：增加时正数、提现是负数
     * @param approveAmount 申请金额：增加时正数、提现是负数
     */
    public void setApproveAmount(Double approveAmount) {
        this.approveAmount = approveAmount;
    }

    /**
     * 实际金额：增加时正数、提现是负数
     * @return amount 实际金额：增加时正数、提现是负数
     */
    public Double getAmount() {
        return amount;
    }

    /**
     * 实际金额：增加时正数、提现是负数
     * @param amount 实际金额：增加时正数、提现是负数
     */
    public void setAmount(Double amount) {
        this.amount = amount;
    }

    /**
     * 提现银行卡号
     * @return card_no 提现银行卡号
     */
    public String getCardNo() {
        return cardNo;
    }

    /**
     * 提现银行卡号
     * @param cardNo 提现银行卡号
     */
    public void setCardNo(String cardNo) {
        this.cardNo = cardNo == null ? null : cardNo.trim();
    }

    /**
     * 提现开户行
     * @return account_bank 提现开户行
     */
    public String getAccountBank() {
        return accountBank;
    }

    /**
     * 提现开户行
     * @param accountBank 提现开户行
     */
    public void setAccountBank(String accountBank) {
        this.accountBank = accountBank == null ? null : accountBank.trim();
    }

    /**
     * 提现账户名称
     * @return account_name 提现账户名称
     */
    public String getAccountName() {
        return accountName;
    }

    /**
     * 提现账户名称
     * @param accountName 提现账户名称
     */
    public void setAccountName(String accountName) {
        this.accountName = accountName == null ? null : accountName.trim();
    }

    /**
     * 交易订单号
     * @return order_no 交易订单号
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 交易订单号
     * @param orderNo 交易订单号
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo == null ? null : orderNo.trim();
    }

    /**
     * 项目ID
     * @return project_id 项目ID
     */
    public Integer getProjectId() {
        return projectId;
    }

    /**
     * 项目ID
     * @param projectId 项目ID
     */
    public void setProjectId(Integer projectId) {
        this.projectId = projectId;
    }

    /**
     * 项目名称
     * @return project_name 项目名称
     */
    public String getProjectName() {
        return projectName;
    }

    /**
     * 项目名称
     * @param projectName 项目名称
     */
    public void setProjectName(String projectName) {
        this.projectName = projectName == null ? null : projectName.trim();
    }

    /**
     * 是否提供发票：0不提供、1提供
     * @return provide_invoice 是否提供发票：0不提供、1提供
     */
    public Integer getProvideInvoice() {
        return provideInvoice;
    }

    /**
     * 是否提供发票：0不提供、1提供
     * @param provideInvoice 是否提供发票：0不提供、1提供
     */
    public void setProvideInvoice(Integer provideInvoice) {
        this.provideInvoice = provideInvoice;
    }

    /**
     * 审批人,user表ID
     * @return approve_user 审批人,user表ID
     */
    public Integer getApproveUser() {
        return approveUser;
    }

    /**
     * 审批人,user表ID
     * @param approveUser 审批人,user表ID
     */
    public void setApproveUser(Integer approveUser) {
        this.approveUser = approveUser;
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 提现审批时间
     * @return approve_time 提现审批时间
     */
    public Date getApproveTime() {
        return approveTime;
    }

    /**
     * 提现审批时间
     * @param approveTime 提现审批时间
     */
    public void setApproveTime(Date approveTime) {
        this.approveTime = approveTime;
    }
}