package com.up.sell.vo;

import java.util.Date;

public class MemberOrder {
    /**
     * 
     */
    private String orderNo;

    /**
     * 订单类型：1、购买会员服务订单
     */
    private Integer orderType;

    /**
     * 订单状态数据来源于字典表104）
     */
    private Integer orderStatus;

    /**
     * 订单来源（数据来源于字典表103）
     */
    private Integer orderSource;

    /**
     * 会员ID
     */
    private Integer memberId;

    /**
     * 支付金额
     */
    private Double payAmount;

    /**
     * 支付方式（数据来源于字典表105）
     */
    private Integer paymentType;

    /**
     * 会员服务开始日期，支付成功后更新
     */
    private Date beginTime;

    /**
     * 会员服务结束日期，支付成功后更新
     */
    private Date endTime;

    /**
     * 每日查看次数
     */
    private Integer viewCount;

    /**
     * 服务是否可用：1可用，0不可用，支付成功时设为可用
     */
    private Integer serviceFlag;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 支付时间
     */
    private Date payTime;

    /**
     * 支付流水号，支付成功回调时获得
     */
    private String tradeNo;

    /**
     * 支付方账号，支付宝支付成功回调时获得
     */
    private String buyerEmail;

    /**
     * 商品ID,购买会员，存入member_service表ID
     */
    private Integer goodsId;

    /**
     * 商品名称，购买会员，存入member_service表service_name
     */
    private String goodsName;

    /**
     * 
     * @return order_no 
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 
     * @param orderNo 
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo == null ? null : orderNo.trim();
    }

    /**
     * 订单类型：1、购买会员服务订单
     * @return order_type 订单类型：1、购买会员服务订单
     */
    public Integer getOrderType() {
        return orderType;
    }

    /**
     * 订单类型：1、购买会员服务订单
     * @param orderType 订单类型：1、购买会员服务订单
     */
    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    /**
     * 订单状态数据来源于字典表104）
     * @return order_status 订单状态数据来源于字典表104）
     */
    public Integer getOrderStatus() {
        return orderStatus;
    }

    /**
     * 订单状态数据来源于字典表104）
     * @param orderStatus 订单状态数据来源于字典表104）
     */
    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }

    /**
     * 订单来源（数据来源于字典表103）
     * @return order_source 订单来源（数据来源于字典表103）
     */
    public Integer getOrderSource() {
        return orderSource;
    }

    /**
     * 订单来源（数据来源于字典表103）
     * @param orderSource 订单来源（数据来源于字典表103）
     */
    public void setOrderSource(Integer orderSource) {
        this.orderSource = orderSource;
    }

    /**
     * 会员ID
     * @return member_id 会员ID
     */
    public Integer getMemberId() {
        return memberId;
    }

    /**
     * 会员ID
     * @param memberId 会员ID
     */
    public void setMemberId(Integer memberId) {
        this.memberId = memberId;
    }

    /**
     * 支付金额
     * @return pay_amount 支付金额
     */
    public Double getPayAmount() {
        return payAmount;
    }

    /**
     * 支付金额
     * @param payAmount 支付金额
     */
    public void setPayAmount(Double payAmount) {
        this.payAmount = payAmount;
    }

    /**
     * 支付方式（数据来源于字典表105）
     * @return payment_type 支付方式（数据来源于字典表105）
     */
    public Integer getPaymentType() {
        return paymentType;
    }

    /**
     * 支付方式（数据来源于字典表105）
     * @param paymentType 支付方式（数据来源于字典表105）
     */
    public void setPaymentType(Integer paymentType) {
        this.paymentType = paymentType;
    }

    /**
     * 会员服务开始日期，支付成功后更新
     * @return begin_time 会员服务开始日期，支付成功后更新
     */
    public Date getBeginTime() {
        return beginTime;
    }

    /**
     * 会员服务开始日期，支付成功后更新
     * @param beginTime 会员服务开始日期，支付成功后更新
     */
    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    /**
     * 会员服务结束日期，支付成功后更新
     * @return end_time 会员服务结束日期，支付成功后更新
     */
    public Date getEndTime() {
        return endTime;
    }

    /**
     * 会员服务结束日期，支付成功后更新
     * @param endTime 会员服务结束日期，支付成功后更新
     */
    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    /**
     * 每日查看次数
     * @return view_count 每日查看次数
     */
    public Integer getViewCount() {
        return viewCount;
    }

    /**
     * 每日查看次数
     * @param viewCount 每日查看次数
     */
    public void setViewCount(Integer viewCount) {
        this.viewCount = viewCount;
    }

    /**
     * 服务是否可用：1可用，0不可用，支付成功时设为可用
     * @return service_flag 服务是否可用：1可用，0不可用，支付成功时设为可用
     */
    public Integer getServiceFlag() {
        return serviceFlag;
    }

    /**
     * 服务是否可用：1可用，0不可用，支付成功时设为可用
     * @param serviceFlag 服务是否可用：1可用，0不可用，支付成功时设为可用
     */
    public void setServiceFlag(Integer serviceFlag) {
        this.serviceFlag = serviceFlag;
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 支付时间
     * @return pay_time 支付时间
     */
    public Date getPayTime() {
        return payTime;
    }

    /**
     * 支付时间
     * @param payTime 支付时间
     */
    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    /**
     * 支付流水号，支付成功回调时获得
     * @return trade_no 支付流水号，支付成功回调时获得
     */
    public String getTradeNo() {
        return tradeNo;
    }

    /**
     * 支付流水号，支付成功回调时获得
     * @param tradeNo 支付流水号，支付成功回调时获得
     */
    public void setTradeNo(String tradeNo) {
        this.tradeNo = tradeNo == null ? null : tradeNo.trim();
    }

    /**
     * 支付方账号，支付宝支付成功回调时获得
     * @return buyer_email 支付方账号，支付宝支付成功回调时获得
     */
    public String getBuyerEmail() {
        return buyerEmail;
    }

    /**
     * 支付方账号，支付宝支付成功回调时获得
     * @param buyerEmail 支付方账号，支付宝支付成功回调时获得
     */
    public void setBuyerEmail(String buyerEmail) {
        this.buyerEmail = buyerEmail == null ? null : buyerEmail.trim();
    }

    /**
     * 商品ID,购买会员，存入member_service表ID
     * @return goods_id 商品ID,购买会员，存入member_service表ID
     */
    public Integer getGoodsId() {
        return goodsId;
    }

    /**
     * 商品ID,购买会员，存入member_service表ID
     * @param goodsId 商品ID,购买会员，存入member_service表ID
     */
    public void setGoodsId(Integer goodsId) {
        this.goodsId = goodsId;
    }

    /**
     * 商品名称，购买会员，存入member_service表service_name
     * @return goods_name 商品名称，购买会员，存入member_service表service_name
     */
    public String getGoodsName() {
        return goodsName;
    }

    /**
     * 商品名称，购买会员，存入member_service表service_name
     * @param goodsName 商品名称，购买会员，存入member_service表service_name
     */
    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName == null ? null : goodsName.trim();
    }
}