package com.up.sell.vo;

import java.util.Date;

public class Project {
    /**
     * 
     */
    private Long id;

    /**
     * 项目状态（数据来源于字典表113）；商业、办公产业、住宅
     */
    private Integer projectStatus;

    /**
     * 项目类型（数据来源于字典表109）；商业、办公产业、住宅
     */
    private Integer projectType;

    /**
     * 房屋类型：（数据来源于字典表122）；商业、办公产业、住宅
     */
    private Integer houseType;

    /**
     * 累计关注数量；商业、办公产业、办公产业、住宅
     */
    private Integer favoriteCount;

    /**
     * 佣金:销售/招商佣金；商业、办公产业、住宅
     */
    private String commission;

    /**
     * 项目经理：会员ID；商业、办公产业、住宅
     */
    private Integer projectManagerId;

    /**
     * 项目名称；商业、办公产业、住宅
     */
    private String projectName;

    /**
     * 所属省ID；商业、办公产业、住宅
     */
    private String provinceId;

    /**
     * 所属市ID；商业、办公产业、住宅
     */
    private String cityId;

    /**
     * 省ID；商业、办公产业、住宅
     */
    private String projectProvinceId;

    /**
     * 市ID；商业、办公产业、住宅
     */
    private String projectCityId;

    /**
     * 区ID；商业、办公产业、住宅
     */
    private String projectDistrictId;

    /**
     * 街道ID；商业、办公产业、住宅
     */
    private String projectStreetId;

    /**
     * 项目地址；商业、办公产业、住宅
     */
    private String projectAddress;

    /**
     * 经度；商业、办公产业、住宅
     */
    private Double lng;

    /**
     * 纬度；商业、办公产业、住宅
     */
    private Double lat;

    /**
     * 价格、单位：元/㎡ or 元/天/㎡；商业、办公产业、住宅
     */
    private Double price;

    /**
     * 建筑面积，单位㎡；商业、办公产业、住宅
     */
    private Double acreage;

    /**
     * 周边配套、周边信息；商业、办公产业、住宅
     */
    private String surroundingFacilities;

    /**
     * 开盘日期、开业时间；商业、办公产业、住宅
     */
    private Date openedDate;

    /**
     * 项目编号；商业、办公产业、住宅
     */
    private String projectCode;

    /**
     * 商业类型：（数据来源于字典表129）；商业
     */
    private Integer businessType;

    /**
     * 周边人口:3公里人口数；商业
     */
    private Integer populations3;

    /**
     * 周边人口:5公里人口数；商业
     */
    private Integer populations5;

    /**
     * 商铺数量；商业
     */
    private Integer shopsCount;

    /**
     * 地上停车位，单位是个；商业、办公产业
     */
    private Integer groundParking;

    /**
     * 地下停车位，单位是个；商业、办公产业
     */
    private Integer undergroundParking;

    /**
     * 写字楼简介、项目优势、项目介绍；商业、办公产业
     */
    private String description;

    /**
     * 商圈；商业、办公产业
     */
    private String tradingArea;

    /**
     * 开发商；办公产业、住宅
     */
    private String developers;

    /**
     * 电梯；办公产业
     */
    private String elevator;

    /**
     * 装修、装修状况（下拉框，字典表134）；办公产业
     */
    private Integer decoration;

    /**
     * 停车费，单位：元/月；办公产业
     */
    private Double parkingFee;

    /**
     * 物业费，单位： 元/月/㎡；办公产业、住宅
     */
    private Double propertyFee;

    /**
     * 层高、楼层状况；办公产业、住宅
     */
    private String floorHeight;

    /**
     * 物业公司；办公产业、住宅
     */
    private String propertyCompany;

    /**
     * 物业类别（字典表131），下拉框；住宅
     */
    private Integer propertyType;

    /**
     * 建筑类别（字典表132），下拉框；住宅
     */
    private Integer buildingType;

    /**
     * 产权年限（字典表130），下拉框；住宅
     */
    private Integer propertyRights;

    /**
     * 销售状态（字典表133），下拉框；住宅
     */
    private Integer salesStatus;

    /**
     * 交房日期；住宅
     */
    private Date launchDate;

    /**
     * 售楼处地址；住宅
     */
    private String salesOfficeAddress;

    /**
     * 停车位，单位是个；住宅
     */
    private Integer parking;

    /**
     * 占地面积；住宅
     */
    private String coversArea;

    /**
     * 建筑面积；住宅
     */
    private String constructionArea;

    /**
     * 容积率；住宅
     */
    private Double capacityRate;

    /**
     * 绿化率；住宅
     */
    private Double greeningRate;

    /**
     * 总栋数；住宅
     */
    private Integer buildings;

    /**
     * 总户数；住宅
     */
    private Integer households;

    /**
     * 创建人,user表ID
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 最后更新人,user表ID
     */
    private Integer updateUser;

    /**
     * 最后更新时间
     */
    private Date updateTime;

    /**
     * 
     * @return id 
     */
    public Long getId() {
        return id;
    }

    /**
     * 
     * @param id 
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 项目状态（数据来源于字典表113）；商业、办公产业、住宅
     * @return project_status 项目状态（数据来源于字典表113）；商业、办公产业、住宅
     */
    public Integer getProjectStatus() {
        return projectStatus;
    }

    /**
     * 项目状态（数据来源于字典表113）；商业、办公产业、住宅
     * @param projectStatus 项目状态（数据来源于字典表113）；商业、办公产业、住宅
     */
    public void setProjectStatus(Integer projectStatus) {
        this.projectStatus = projectStatus;
    }

    /**
     * 项目类型（数据来源于字典表109）；商业、办公产业、住宅
     * @return project_type 项目类型（数据来源于字典表109）；商业、办公产业、住宅
     */
    public Integer getProjectType() {
        return projectType;
    }

    /**
     * 项目类型（数据来源于字典表109）；商业、办公产业、住宅
     * @param projectType 项目类型（数据来源于字典表109）；商业、办公产业、住宅
     */
    public void setProjectType(Integer projectType) {
        this.projectType = projectType;
    }

    /**
     * 房屋类型：（数据来源于字典表122）；商业、办公产业、住宅
     * @return house_type 房屋类型：（数据来源于字典表122）；商业、办公产业、住宅
     */
    public Integer getHouseType() {
        return houseType;
    }

    /**
     * 房屋类型：（数据来源于字典表122）；商业、办公产业、住宅
     * @param houseType 房屋类型：（数据来源于字典表122）；商业、办公产业、住宅
     */
    public void setHouseType(Integer houseType) {
        this.houseType = houseType;
    }

    /**
     * 累计关注数量；商业、办公产业、办公产业、住宅
     * @return favorite_count 累计关注数量；商业、办公产业、办公产业、住宅
     */
    public Integer getFavoriteCount() {
        return favoriteCount;
    }

    /**
     * 累计关注数量；商业、办公产业、办公产业、住宅
     * @param favoriteCount 累计关注数量；商业、办公产业、办公产业、住宅
     */
    public void setFavoriteCount(Integer favoriteCount) {
        this.favoriteCount = favoriteCount;
    }

    /**
     * 佣金:销售/招商佣金；商业、办公产业、住宅
     * @return commission 佣金:销售/招商佣金；商业、办公产业、住宅
     */
    public String getCommission() {
        return commission;
    }

    /**
     * 佣金:销售/招商佣金；商业、办公产业、住宅
     * @param commission 佣金:销售/招商佣金；商业、办公产业、住宅
     */
    public void setCommission(String commission) {
        this.commission = commission == null ? null : commission.trim();
    }

    /**
     * 项目经理：会员ID；商业、办公产业、住宅
     * @return project_manager_id 项目经理：会员ID；商业、办公产业、住宅
     */
    public Integer getProjectManagerId() {
        return projectManagerId;
    }

    /**
     * 项目经理：会员ID；商业、办公产业、住宅
     * @param projectManagerId 项目经理：会员ID；商业、办公产业、住宅
     */
    public void setProjectManagerId(Integer projectManagerId) {
        this.projectManagerId = projectManagerId;
    }

    /**
     * 项目名称；商业、办公产业、住宅
     * @return project_name 项目名称；商业、办公产业、住宅
     */
    public String getProjectName() {
        return projectName;
    }

    /**
     * 项目名称；商业、办公产业、住宅
     * @param projectName 项目名称；商业、办公产业、住宅
     */
    public void setProjectName(String projectName) {
        this.projectName = projectName == null ? null : projectName.trim();
    }

    /**
     * 所属省ID；商业、办公产业、住宅
     * @return province_id 所属省ID；商业、办公产业、住宅
     */
    public String getProvinceId() {
        return provinceId;
    }

    /**
     * 所属省ID；商业、办公产业、住宅
     * @param provinceId 所属省ID；商业、办公产业、住宅
     */
    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId == null ? null : provinceId.trim();
    }

    /**
     * 所属市ID；商业、办公产业、住宅
     * @return city_id 所属市ID；商业、办公产业、住宅
     */
    public String getCityId() {
        return cityId;
    }

    /**
     * 所属市ID；商业、办公产业、住宅
     * @param cityId 所属市ID；商业、办公产业、住宅
     */
    public void setCityId(String cityId) {
        this.cityId = cityId == null ? null : cityId.trim();
    }

    /**
     * 省ID；商业、办公产业、住宅
     * @return project_province_id 省ID；商业、办公产业、住宅
     */
    public String getProjectProvinceId() {
        return projectProvinceId;
    }

    /**
     * 省ID；商业、办公产业、住宅
     * @param projectProvinceId 省ID；商业、办公产业、住宅
     */
    public void setProjectProvinceId(String projectProvinceId) {
        this.projectProvinceId = projectProvinceId == null ? null : projectProvinceId.trim();
    }

    /**
     * 市ID；商业、办公产业、住宅
     * @return project_city_id 市ID；商业、办公产业、住宅
     */
    public String getProjectCityId() {
        return projectCityId;
    }

    /**
     * 市ID；商业、办公产业、住宅
     * @param projectCityId 市ID；商业、办公产业、住宅
     */
    public void setProjectCityId(String projectCityId) {
        this.projectCityId = projectCityId == null ? null : projectCityId.trim();
    }

    /**
     * 区ID；商业、办公产业、住宅
     * @return project_district_id 区ID；商业、办公产业、住宅
     */
    public String getProjectDistrictId() {
        return projectDistrictId;
    }

    /**
     * 区ID；商业、办公产业、住宅
     * @param projectDistrictId 区ID；商业、办公产业、住宅
     */
    public void setProjectDistrictId(String projectDistrictId) {
        this.projectDistrictId = projectDistrictId == null ? null : projectDistrictId.trim();
    }

    /**
     * 街道ID；商业、办公产业、住宅
     * @return project_street_id 街道ID；商业、办公产业、住宅
     */
    public String getProjectStreetId() {
        return projectStreetId;
    }

    /**
     * 街道ID；商业、办公产业、住宅
     * @param projectStreetId 街道ID；商业、办公产业、住宅
     */
    public void setProjectStreetId(String projectStreetId) {
        this.projectStreetId = projectStreetId == null ? null : projectStreetId.trim();
    }

    /**
     * 项目地址；商业、办公产业、住宅
     * @return project_address 项目地址；商业、办公产业、住宅
     */
    public String getProjectAddress() {
        return projectAddress;
    }

    /**
     * 项目地址；商业、办公产业、住宅
     * @param projectAddress 项目地址；商业、办公产业、住宅
     */
    public void setProjectAddress(String projectAddress) {
        this.projectAddress = projectAddress == null ? null : projectAddress.trim();
    }

    /**
     * 经度；商业、办公产业、住宅
     * @return lng 经度；商业、办公产业、住宅
     */
    public Double getLng() {
        return lng;
    }

    /**
     * 经度；商业、办公产业、住宅
     * @param lng 经度；商业、办公产业、住宅
     */
    public void setLng(Double lng) {
        this.lng = lng;
    }

    /**
     * 纬度；商业、办公产业、住宅
     * @return lat 纬度；商业、办公产业、住宅
     */
    public Double getLat() {
        return lat;
    }

    /**
     * 纬度；商业、办公产业、住宅
     * @param lat 纬度；商业、办公产业、住宅
     */
    public void setLat(Double lat) {
        this.lat = lat;
    }

    /**
     * 价格、单位：元/㎡ or 元/天/㎡；商业、办公产业、住宅
     * @return price 价格、单位：元/㎡ or 元/天/㎡；商业、办公产业、住宅
     */
    public Double getPrice() {
        return price;
    }

    /**
     * 价格、单位：元/㎡ or 元/天/㎡；商业、办公产业、住宅
     * @param price 价格、单位：元/㎡ or 元/天/㎡；商业、办公产业、住宅
     */
    public void setPrice(Double price) {
        this.price = price;
    }

    /**
     * 建筑面积，单位㎡；商业、办公产业、住宅
     * @return acreage 建筑面积，单位㎡；商业、办公产业、住宅
     */
    public Double getAcreage() {
        return acreage;
    }

    /**
     * 建筑面积，单位㎡；商业、办公产业、住宅
     * @param acreage 建筑面积，单位㎡；商业、办公产业、住宅
     */
    public void setAcreage(Double acreage) {
        this.acreage = acreage;
    }

    /**
     * 周边配套、周边信息；商业、办公产业、住宅
     * @return surrounding_facilities 周边配套、周边信息；商业、办公产业、住宅
     */
    public String getSurroundingFacilities() {
        return surroundingFacilities;
    }

    /**
     * 周边配套、周边信息；商业、办公产业、住宅
     * @param surroundingFacilities 周边配套、周边信息；商业、办公产业、住宅
     */
    public void setSurroundingFacilities(String surroundingFacilities) {
        this.surroundingFacilities = surroundingFacilities == null ? null : surroundingFacilities.trim();
    }

    /**
     * 开盘日期、开业时间；商业、办公产业、住宅
     * @return opened_date 开盘日期、开业时间；商业、办公产业、住宅
     */
    public Date getOpenedDate() {
        return openedDate;
    }

    /**
     * 开盘日期、开业时间；商业、办公产业、住宅
     * @param openedDate 开盘日期、开业时间；商业、办公产业、住宅
     */
    public void setOpenedDate(Date openedDate) {
        this.openedDate = openedDate;
    }

    /**
     * 项目编号；商业、办公产业、住宅
     * @return project_code 项目编号；商业、办公产业、住宅
     */
    public String getProjectCode() {
        return projectCode;
    }

    /**
     * 项目编号；商业、办公产业、住宅
     * @param projectCode 项目编号；商业、办公产业、住宅
     */
    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode == null ? null : projectCode.trim();
    }

    /**
     * 商业类型：（数据来源于字典表129）；商业
     * @return business_type 商业类型：（数据来源于字典表129）；商业
     */
    public Integer getBusinessType() {
        return businessType;
    }

    /**
     * 商业类型：（数据来源于字典表129）；商业
     * @param businessType 商业类型：（数据来源于字典表129）；商业
     */
    public void setBusinessType(Integer businessType) {
        this.businessType = businessType;
    }

    /**
     * 周边人口:3公里人口数；商业
     * @return populations_3 周边人口:3公里人口数；商业
     */
    public Integer getPopulations3() {
        return populations3;
    }

    /**
     * 周边人口:3公里人口数；商业
     * @param populations3 周边人口:3公里人口数；商业
     */
    public void setPopulations3(Integer populations3) {
        this.populations3 = populations3;
    }

    /**
     * 周边人口:5公里人口数；商业
     * @return populations_5 周边人口:5公里人口数；商业
     */
    public Integer getPopulations5() {
        return populations5;
    }

    /**
     * 周边人口:5公里人口数；商业
     * @param populations5 周边人口:5公里人口数；商业
     */
    public void setPopulations5(Integer populations5) {
        this.populations5 = populations5;
    }

    /**
     * 商铺数量；商业
     * @return shops_count 商铺数量；商业
     */
    public Integer getShopsCount() {
        return shopsCount;
    }

    /**
     * 商铺数量；商业
     * @param shopsCount 商铺数量；商业
     */
    public void setShopsCount(Integer shopsCount) {
        this.shopsCount = shopsCount;
    }

    /**
     * 地上停车位，单位是个；商业、办公产业
     * @return ground_parking 地上停车位，单位是个；商业、办公产业
     */
    public Integer getGroundParking() {
        return groundParking;
    }

    /**
     * 地上停车位，单位是个；商业、办公产业
     * @param groundParking 地上停车位，单位是个；商业、办公产业
     */
    public void setGroundParking(Integer groundParking) {
        this.groundParking = groundParking;
    }

    /**
     * 地下停车位，单位是个；商业、办公产业
     * @return underground_parking 地下停车位，单位是个；商业、办公产业
     */
    public Integer getUndergroundParking() {
        return undergroundParking;
    }

    /**
     * 地下停车位，单位是个；商业、办公产业
     * @param undergroundParking 地下停车位，单位是个；商业、办公产业
     */
    public void setUndergroundParking(Integer undergroundParking) {
        this.undergroundParking = undergroundParking;
    }

    /**
     * 写字楼简介、项目优势、项目介绍；商业、办公产业
     * @return description 写字楼简介、项目优势、项目介绍；商业、办公产业
     */
    public String getDescription() {
        return description;
    }

    /**
     * 写字楼简介、项目优势、项目介绍；商业、办公产业
     * @param description 写字楼简介、项目优势、项目介绍；商业、办公产业
     */
    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    /**
     * 商圈；商业、办公产业
     * @return trading_area 商圈；商业、办公产业
     */
    public String getTradingArea() {
        return tradingArea;
    }

    /**
     * 商圈；商业、办公产业
     * @param tradingArea 商圈；商业、办公产业
     */
    public void setTradingArea(String tradingArea) {
        this.tradingArea = tradingArea == null ? null : tradingArea.trim();
    }

    /**
     * 开发商；办公产业、住宅
     * @return developers 开发商；办公产业、住宅
     */
    public String getDevelopers() {
        return developers;
    }

    /**
     * 开发商；办公产业、住宅
     * @param developers 开发商；办公产业、住宅
     */
    public void setDevelopers(String developers) {
        this.developers = developers == null ? null : developers.trim();
    }

    /**
     * 电梯；办公产业
     * @return elevator 电梯；办公产业
     */
    public String getElevator() {
        return elevator;
    }

    /**
     * 电梯；办公产业
     * @param elevator 电梯；办公产业
     */
    public void setElevator(String elevator) {
        this.elevator = elevator == null ? null : elevator.trim();
    }

    /**
     * 装修、装修状况（下拉框，字典表134）；办公产业
     * @return decoration 装修、装修状况（下拉框，字典表134）；办公产业
     */
    public Integer getDecoration() {
        return decoration;
    }

    /**
     * 装修、装修状况（下拉框，字典表134）；办公产业
     * @param decoration 装修、装修状况（下拉框，字典表134）；办公产业
     */
    public void setDecoration(Integer decoration) {
        this.decoration = decoration;
    }

    /**
     * 停车费，单位：元/月；办公产业
     * @return parking_fee 停车费，单位：元/月；办公产业
     */
    public Double getParkingFee() {
        return parkingFee;
    }

    /**
     * 停车费，单位：元/月；办公产业
     * @param parkingFee 停车费，单位：元/月；办公产业
     */
    public void setParkingFee(Double parkingFee) {
        this.parkingFee = parkingFee;
    }

    /**
     * 物业费，单位： 元/月/㎡；办公产业、住宅
     * @return property_fee 物业费，单位： 元/月/㎡；办公产业、住宅
     */
    public Double getPropertyFee() {
        return propertyFee;
    }

    /**
     * 物业费，单位： 元/月/㎡；办公产业、住宅
     * @param propertyFee 物业费，单位： 元/月/㎡；办公产业、住宅
     */
    public void setPropertyFee(Double propertyFee) {
        this.propertyFee = propertyFee;
    }

    /**
     * 层高、楼层状况；办公产业、住宅
     * @return floor_height 层高、楼层状况；办公产业、住宅
     */
    public String getFloorHeight() {
        return floorHeight;
    }

    /**
     * 层高、楼层状况；办公产业、住宅
     * @param floorHeight 层高、楼层状况；办公产业、住宅
     */
    public void setFloorHeight(String floorHeight) {
        this.floorHeight = floorHeight == null ? null : floorHeight.trim();
    }

    /**
     * 物业公司；办公产业、住宅
     * @return property_company 物业公司；办公产业、住宅
     */
    public String getPropertyCompany() {
        return propertyCompany;
    }

    /**
     * 物业公司；办公产业、住宅
     * @param propertyCompany 物业公司；办公产业、住宅
     */
    public void setPropertyCompany(String propertyCompany) {
        this.propertyCompany = propertyCompany == null ? null : propertyCompany.trim();
    }

    /**
     * 物业类别（字典表131），下拉框；住宅
     * @return property_type 物业类别（字典表131），下拉框；住宅
     */
    public Integer getPropertyType() {
        return propertyType;
    }

    /**
     * 物业类别（字典表131），下拉框；住宅
     * @param propertyType 物业类别（字典表131），下拉框；住宅
     */
    public void setPropertyType(Integer propertyType) {
        this.propertyType = propertyType;
    }

    /**
     * 建筑类别（字典表132），下拉框；住宅
     * @return building_type 建筑类别（字典表132），下拉框；住宅
     */
    public Integer getBuildingType() {
        return buildingType;
    }

    /**
     * 建筑类别（字典表132），下拉框；住宅
     * @param buildingType 建筑类别（字典表132），下拉框；住宅
     */
    public void setBuildingType(Integer buildingType) {
        this.buildingType = buildingType;
    }

    /**
     * 产权年限（字典表130），下拉框；住宅
     * @return property_rights 产权年限（字典表130），下拉框；住宅
     */
    public Integer getPropertyRights() {
        return propertyRights;
    }

    /**
     * 产权年限（字典表130），下拉框；住宅
     * @param propertyRights 产权年限（字典表130），下拉框；住宅
     */
    public void setPropertyRights(Integer propertyRights) {
        this.propertyRights = propertyRights;
    }

    /**
     * 销售状态（字典表133），下拉框；住宅
     * @return sales_status 销售状态（字典表133），下拉框；住宅
     */
    public Integer getSalesStatus() {
        return salesStatus;
    }

    /**
     * 销售状态（字典表133），下拉框；住宅
     * @param salesStatus 销售状态（字典表133），下拉框；住宅
     */
    public void setSalesStatus(Integer salesStatus) {
        this.salesStatus = salesStatus;
    }

    /**
     * 交房日期；住宅
     * @return launch_date 交房日期；住宅
     */
    public Date getLaunchDate() {
        return launchDate;
    }

    /**
     * 交房日期；住宅
     * @param launchDate 交房日期；住宅
     */
    public void setLaunchDate(Date launchDate) {
        this.launchDate = launchDate;
    }

    /**
     * 售楼处地址；住宅
     * @return sales_office_address 售楼处地址；住宅
     */
    public String getSalesOfficeAddress() {
        return salesOfficeAddress;
    }

    /**
     * 售楼处地址；住宅
     * @param salesOfficeAddress 售楼处地址；住宅
     */
    public void setSalesOfficeAddress(String salesOfficeAddress) {
        this.salesOfficeAddress = salesOfficeAddress == null ? null : salesOfficeAddress.trim();
    }

    /**
     * 停车位，单位是个；住宅
     * @return parking 停车位，单位是个；住宅
     */
    public Integer getParking() {
        return parking;
    }

    /**
     * 停车位，单位是个；住宅
     * @param parking 停车位，单位是个；住宅
     */
    public void setParking(Integer parking) {
        this.parking = parking;
    }

    /**
     * 占地面积；住宅
     * @return covers_area 占地面积；住宅
     */
    public String getCoversArea() {
        return coversArea;
    }

    /**
     * 占地面积；住宅
     * @param coversArea 占地面积；住宅
     */
    public void setCoversArea(String coversArea) {
        this.coversArea = coversArea == null ? null : coversArea.trim();
    }

    /**
     * 建筑面积；住宅
     * @return construction_area 建筑面积；住宅
     */
    public String getConstructionArea() {
        return constructionArea;
    }

    /**
     * 建筑面积；住宅
     * @param constructionArea 建筑面积；住宅
     */
    public void setConstructionArea(String constructionArea) {
        this.constructionArea = constructionArea == null ? null : constructionArea.trim();
    }

    /**
     * 容积率；住宅
     * @return capacity_rate 容积率；住宅
     */
    public Double getCapacityRate() {
        return capacityRate;
    }

    /**
     * 容积率；住宅
     * @param capacityRate 容积率；住宅
     */
    public void setCapacityRate(Double capacityRate) {
        this.capacityRate = capacityRate;
    }

    /**
     * 绿化率；住宅
     * @return greening_rate 绿化率；住宅
     */
    public Double getGreeningRate() {
        return greeningRate;
    }

    /**
     * 绿化率；住宅
     * @param greeningRate 绿化率；住宅
     */
    public void setGreeningRate(Double greeningRate) {
        this.greeningRate = greeningRate;
    }

    /**
     * 总栋数；住宅
     * @return buildings 总栋数；住宅
     */
    public Integer getBuildings() {
        return buildings;
    }

    /**
     * 总栋数；住宅
     * @param buildings 总栋数；住宅
     */
    public void setBuildings(Integer buildings) {
        this.buildings = buildings;
    }

    /**
     * 总户数；住宅
     * @return households 总户数；住宅
     */
    public Integer getHouseholds() {
        return households;
    }

    /**
     * 总户数；住宅
     * @param households 总户数；住宅
     */
    public void setHouseholds(Integer households) {
        this.households = households;
    }

    /**
     * 创建人,user表ID
     * @return create_user 创建人,user表ID
     */
    public Integer getCreateUser() {
        return createUser;
    }

    /**
     * 创建人,user表ID
     * @param createUser 创建人,user表ID
     */
    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 最后更新人,user表ID
     * @return update_user 最后更新人,user表ID
     */
    public Integer getUpdateUser() {
        return updateUser;
    }

    /**
     * 最后更新人,user表ID
     * @param updateUser 最后更新人,user表ID
     */
    public void setUpdateUser(Integer updateUser) {
        this.updateUser = updateUser;
    }

    /**
     * 最后更新时间
     * @return update_time 最后更新时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 最后更新时间
     * @param updateTime 最后更新时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}