package com.up.sell.vo;

import java.util.Date;

public class ProjectOrder {
    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 订单状态,数据来源于字典表，销售116，招商117
     */
    private Integer orderStatus;

    /**
     * 会员ID
     */
    private Integer memberId;

    /**
     * 项目ID
     */
    private Integer projectId;

    /**
     * 项目类型（数据来源于字典表109）
     */
    private Integer projectType;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 商铺编号
     */
    private String shopNumber;

    /**
     * 签约价格
     */
    private Double price;

    /**
     * 签约面积
     */
    private Double acreage;

    /**
     * 预约到访日期
     */
    private Date appointmentTime;

    /**
     * 备注
     */
    private String description;

    /**
     * 客户ID，member_customer表的ID
     */
    private Integer customerId;

    /**
     * 客户名称
     */
    private String customerName;

    /**
     * 联系电话
     */
    private String mobile;

    /**
     * 身份证号
     */
    private String identityCard;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 实际到访时间
     */
    private Date visitTime;

    /**
     * 认购时间、意向时间
     */
    private Date subscribeTime;

    /**
     * 签约时间
     */
    private Date signTime;

    /**
     * 结佣时间
     */
    private Date settleTime;

    /**
     * 完成时间
     */
    private Date finishTime;

    /**
     * 订单号
     * @return order_no 订单号
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 订单号
     * @param orderNo 订单号
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo == null ? null : orderNo.trim();
    }

    /**
     * 订单状态,数据来源于字典表，销售116，招商117
     * @return order_status 订单状态,数据来源于字典表，销售116，招商117
     */
    public Integer getOrderStatus() {
        return orderStatus;
    }

    /**
     * 订单状态,数据来源于字典表，销售116，招商117
     * @param orderStatus 订单状态,数据来源于字典表，销售116，招商117
     */
    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }

    /**
     * 会员ID
     * @return member_id 会员ID
     */
    public Integer getMemberId() {
        return memberId;
    }

    /**
     * 会员ID
     * @param memberId 会员ID
     */
    public void setMemberId(Integer memberId) {
        this.memberId = memberId;
    }

    /**
     * 项目ID
     * @return project_id 项目ID
     */
    public Integer getProjectId() {
        return projectId;
    }

    /**
     * 项目ID
     * @param projectId 项目ID
     */
    public void setProjectId(Integer projectId) {
        this.projectId = projectId;
    }

    /**
     * 项目类型（数据来源于字典表109）
     * @return project_type 项目类型（数据来源于字典表109）
     */
    public Integer getProjectType() {
        return projectType;
    }

    /**
     * 项目类型（数据来源于字典表109）
     * @param projectType 项目类型（数据来源于字典表109）
     */
    public void setProjectType(Integer projectType) {
        this.projectType = projectType;
    }

    /**
     * 项目名称
     * @return project_name 项目名称
     */
    public String getProjectName() {
        return projectName;
    }

    /**
     * 项目名称
     * @param projectName 项目名称
     */
    public void setProjectName(String projectName) {
        this.projectName = projectName == null ? null : projectName.trim();
    }

    /**
     * 商铺编号
     * @return shop_number 商铺编号
     */
    public String getShopNumber() {
        return shopNumber;
    }

    /**
     * 商铺编号
     * @param shopNumber 商铺编号
     */
    public void setShopNumber(String shopNumber) {
        this.shopNumber = shopNumber == null ? null : shopNumber.trim();
    }

    /**
     * 签约价格
     * @return price 签约价格
     */
    public Double getPrice() {
        return price;
    }

    /**
     * 签约价格
     * @param price 签约价格
     */
    public void setPrice(Double price) {
        this.price = price;
    }

    /**
     * 签约面积
     * @return acreage 签约面积
     */
    public Double getAcreage() {
        return acreage;
    }

    /**
     * 签约面积
     * @param acreage 签约面积
     */
    public void setAcreage(Double acreage) {
        this.acreage = acreage;
    }

    /**
     * 预约到访日期
     * @return appointment_time 预约到访日期
     */
    public Date getAppointmentTime() {
        return appointmentTime;
    }

    /**
     * 预约到访日期
     * @param appointmentTime 预约到访日期
     */
    public void setAppointmentTime(Date appointmentTime) {
        this.appointmentTime = appointmentTime;
    }

    /**
     * 备注
     * @return description 备注
     */
    public String getDescription() {
        return description;
    }

    /**
     * 备注
     * @param description 备注
     */
    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    /**
     * 客户ID，member_customer表的ID
     * @return customer_id 客户ID，member_customer表的ID
     */
    public Integer getCustomerId() {
        return customerId;
    }

    /**
     * 客户ID，member_customer表的ID
     * @param customerId 客户ID，member_customer表的ID
     */
    public void setCustomerId(Integer customerId) {
        this.customerId = customerId;
    }

    /**
     * 客户名称
     * @return customer_name 客户名称
     */
    public String getCustomerName() {
        return customerName;
    }

    /**
     * 客户名称
     * @param customerName 客户名称
     */
    public void setCustomerName(String customerName) {
        this.customerName = customerName == null ? null : customerName.trim();
    }

    /**
     * 联系电话
     * @return mobile 联系电话
     */
    public String getMobile() {
        return mobile;
    }

    /**
     * 联系电话
     * @param mobile 联系电话
     */
    public void setMobile(String mobile) {
        this.mobile = mobile == null ? null : mobile.trim();
    }

    /**
     * 身份证号
     * @return identity_card 身份证号
     */
    public String getIdentityCard() {
        return identityCard;
    }

    /**
     * 身份证号
     * @param identityCard 身份证号
     */
    public void setIdentityCard(String identityCard) {
        this.identityCard = identityCard == null ? null : identityCard.trim();
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 实际到访时间
     * @return visit_time 实际到访时间
     */
    public Date getVisitTime() {
        return visitTime;
    }

    /**
     * 实际到访时间
     * @param visitTime 实际到访时间
     */
    public void setVisitTime(Date visitTime) {
        this.visitTime = visitTime;
    }

    /**
     * 认购时间、意向时间
     * @return subscribe_time 认购时间、意向时间
     */
    public Date getSubscribeTime() {
        return subscribeTime;
    }

    /**
     * 认购时间、意向时间
     * @param subscribeTime 认购时间、意向时间
     */
    public void setSubscribeTime(Date subscribeTime) {
        this.subscribeTime = subscribeTime;
    }

    /**
     * 签约时间
     * @return sign_time 签约时间
     */
    public Date getSignTime() {
        return signTime;
    }

    /**
     * 签约时间
     * @param signTime 签约时间
     */
    public void setSignTime(Date signTime) {
        this.signTime = signTime;
    }

    /**
     * 结佣时间
     * @return settle_time 结佣时间
     */
    public Date getSettleTime() {
        return settleTime;
    }

    /**
     * 结佣时间
     * @param settleTime 结佣时间
     */
    public void setSettleTime(Date settleTime) {
        this.settleTime = settleTime;
    }

    /**
     * 完成时间
     * @return finish_time 完成时间
     */
    public Date getFinishTime() {
        return finishTime;
    }

    /**
     * 完成时间
     * @param finishTime 完成时间
     */
    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }
}