package com.up.sell.vo;

import java.util.Date;

public class ProjectOrderTrack {
    /**
     * 
     */
    private Integer id;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 记录审核操作类型:报备提交、报备成功、到访成功、认购成功、签约成功、已设置、已结佣
     */
    private String operationType;

    /**
     * 结束交易原因（数据来源于字典表118）
     */
    private Integer endCause;

    /**
     * 备注
     */
    private String description;

    /**
     * 图片凭证类型:到访凭证、认购凭证、签约凭证
     */
    private String picType;

    /**
     * 图片路径，域名后的全部存入数据库中，多张图用;号隔开
     */
    private String picPath;

    /**
     * 前段操作，记录会员ID
     */
    private Integer memberId;

    /**
     * 后台操作,记录user表ID
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 
     * @return id 
     */
    public Integer getId() {
        return id;
    }

    /**
     * 
     * @param id 
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 订单号
     * @return order_no 订单号
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 订单号
     * @param orderNo 订单号
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo == null ? null : orderNo.trim();
    }

    /**
     * 记录审核操作类型:报备提交、报备成功、到访成功、认购成功、签约成功、已设置、已结佣
     * @return operation_type 记录审核操作类型:报备提交、报备成功、到访成功、认购成功、签约成功、已设置、已结佣
     */
    public String getOperationType() {
        return operationType;
    }

    /**
     * 记录审核操作类型:报备提交、报备成功、到访成功、认购成功、签约成功、已设置、已结佣
     * @param operationType 记录审核操作类型:报备提交、报备成功、到访成功、认购成功、签约成功、已设置、已结佣
     */
    public void setOperationType(String operationType) {
        this.operationType = operationType == null ? null : operationType.trim();
    }

    /**
     * 结束交易原因（数据来源于字典表118）
     * @return end_cause 结束交易原因（数据来源于字典表118）
     */
    public Integer getEndCause() {
        return endCause;
    }

    /**
     * 结束交易原因（数据来源于字典表118）
     * @param endCause 结束交易原因（数据来源于字典表118）
     */
    public void setEndCause(Integer endCause) {
        this.endCause = endCause;
    }

    /**
     * 备注
     * @return description 备注
     */
    public String getDescription() {
        return description;
    }

    /**
     * 备注
     * @param description 备注
     */
    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    /**
     * 图片凭证类型:到访凭证、认购凭证、签约凭证
     * @return pic_type 图片凭证类型:到访凭证、认购凭证、签约凭证
     */
    public String getPicType() {
        return picType;
    }

    /**
     * 图片凭证类型:到访凭证、认购凭证、签约凭证
     * @param picType 图片凭证类型:到访凭证、认购凭证、签约凭证
     */
    public void setPicType(String picType) {
        this.picType = picType == null ? null : picType.trim();
    }

    /**
     * 图片路径，域名后的全部存入数据库中，多张图用;号隔开
     * @return pic_path 图片路径，域名后的全部存入数据库中，多张图用;号隔开
     */
    public String getPicPath() {
        return picPath;
    }

    /**
     * 图片路径，域名后的全部存入数据库中，多张图用;号隔开
     * @param picPath 图片路径，域名后的全部存入数据库中，多张图用;号隔开
     */
    public void setPicPath(String picPath) {
        this.picPath = picPath == null ? null : picPath.trim();
    }

    /**
     * 前段操作，记录会员ID
     * @return member_id 前段操作，记录会员ID
     */
    public Integer getMemberId() {
        return memberId;
    }

    /**
     * 前段操作，记录会员ID
     * @param memberId 前段操作，记录会员ID
     */
    public void setMemberId(Integer memberId) {
        this.memberId = memberId;
    }

    /**
     * 后台操作,记录user表ID
     * @return create_user 后台操作,记录user表ID
     */
    public Integer getCreateUser() {
        return createUser;
    }

    /**
     * 后台操作,记录user表ID
     * @param createUser 后台操作,记录user表ID
     */
    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}